Subject: Re: bug#19468: 25.0.50; UI inconveniences with M-.

From: Stefan Monnier <[email-masked]>
Date: Mon, 27 Apr 2015 19:15:55 -0400

>> And btw, there is another confusing difference between these back-ends
>> that somehow bubbles up to the UI level: the elisp-mode back-end only
>> supports finding multiple matches via completion, and completion, at
>> least by default, only finds candidates whose leading substring
>> matches what you type.
> The substring vs. prefix matching is an interesting distinction. Our
> completion tables only work with prefix matching.

While the underlying completion tables indeed only provide prefix
completion, the normal completion UI provides the `substring'
completion style.

        Stefan